<?php

namespace Datalumo\PhpSdk\DataObjects;

class ChatResponse
{
    public function __construct(
        public readonly string $conversationId,
        public readonly string $message,
    ) {}

    public static function fromArray(array $data): self
    {
        return new self(
            conversationId: $data['conversation_id'],
            message: $data['message'],
        );
    }
}
